---

- block:
  - name: create docker compose directory
    file:
      name: "/etc/docker-compose/traffic-control"
      state: directory

  - name: copy docker-compose.yml
    template:
      src: "files/docker-compose.yml"
      dest: "/etc/docker-compose/traffic-control/docker-compose.yml"

  - name: start traffic-control
    docker_service:
      project_src: /etc/docker-compose/traffic-control
      state: present

  become: yes
